Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class GridsetRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.GridsetRecord

    public final class GridsetRecord

extends StandardRecord

Title: Gridset Record.

Description: flag denoting whether the user specified that gridlines are used when printing.

REFERENCE: PG 320 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Glen Stampoultzis (glens at apache.org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`short` | `field_1_gridset_flag`
`static short` | `sid`

Constructor Summary
`GridsetRecord()`
`GridsetRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `getGridset()` get whether the gridlines are shown during printing.
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setGridset(boolean gridset)` set whether gridlines are visible when printing
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### field_1_gridset_flag

    public short field_1_gridset_flag

Constructor Detail

### GridsetRecord

    public GridsetRecord()

### GridsetRecord

    public GridsetRecord(RecordInputStream in)

Method Detail

### setGridset

    public void setGridset(boolean gridset)

  set whether gridlines are visible when printing

  Parameters:
    `gridset` - - true if no gridlines are print, false if gridlines are not print.

### getGridset

    public boolean getGridset()

  get whether the gridlines are shown during printing.

  Returns:
    gridset - true if gridlines are NOT printed, false if they are.

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD